-- Set leader key to Space
vim.g.mapleader = " "
vim.g.maplocalleader = ","

-- Load basic settings
require("config.options")
require("config.keymaps")

-- Load plugins (lazy.nvim will be auto-installed)
require("config.plugins")

-- Plugin-specific configuration
require("config.lsp")
require("config.treesitter")
require("config.telescope")
require("config.cmp")

-- VimTeX Config 

vim.g.vimtex_view_method = 'zathura'
vim.g.vimtex_compiler_method = 'latexmk'
vim.g.vimtex_compiler_latexmk = {
    build_dir = 'out'
}

-- Language Checks

vim.api.nvim_create_autocmd("FileType", {
  pattern = { "tex", "plaintex", "latex", "markdown" },
  callback = function()
    vim.opt_local.spell = true
    vim.opt_local.linebreak = true
    vim.opt_local.spelllang = { "de_de", "en_us" }
  end,
})

-- Diable Copilot on Start
vim.g.copilot_filetypes = {
  ["*"] = false,
}
